package com.jiayue.insu.inclientqn.inenum;
/**
 * 通用状态  StatusEnum
 *
 * @author yh
 * @version 1.0
 * @since 2022/5/22 11:29
 */

public enum StatusEnum {
    SUCCESS("success","success","成功"),
    RESPONSE_FAIL("response_fail","response_fail","请求失败,响应错误"),
    DOWNLOAD_FILE_FAIL("response_fail","response_fail","下载文件失败"),
    DOWNLOAD_FILE_ERROR("response_fail","response_fail","下载文件异常"),
    FILE_NULL("file_null","file_null","文件为空"),
    BACK_DATA_GEN_FAIL("BACK_DATA_GEN_FAIL","BACK_DATA_GEN_FAIL","生成回传数据请求体失败"),

    CONNECT_RESPONSE_FORMAT_ERROR("response_format_error","response_format_error","响应格式异常"),
    CONNECT_RESPONSE_CONTENT_NULL("response_content_null","response_content_null","响应内容为空"),
    CONNECT_ERROR("connect_error","connect_error","链接异常"),

    GEN_FILE_FAIL("gen_file_fail","gen_file_fail","生成文件失败"),

    DATA_DEFICIENCY("data_deficiency","data_deficiency","数据缺失"),
    STATION_CODE_NULL("station_code_null","station_code_null","场站编码为空"),


    ;

    private String code;
    private String sign;
    private String msg;

    StatusEnum(String code, String sign, String msg) {
        this.code = code;
        this.sign = sign;
        this.msg  =msg;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }


    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }


    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
